Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit
Enum ComponentAttribute.Kind

    java.lang.Object
      java.lang.Enum<ComponentAttribute.Kind>
          org.richfaces.renderkit.ComponentAttribute.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ComponentAttribute.Kind>

Enclosing class:
  ComponentAttribute

    public static enum ComponentAttribute.Kind

extends java.lang.Enum<ComponentAttribute.Kind>

Enum Constant Summary
`BOOL`
`GENERIC`
`URI`

Method Summary
`static ComponentAttribute.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ComponentAttribute.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOL

    public static final ComponentAttribute.Kind BOOL

### GENERIC

    public static final ComponentAttribute.Kind GENERIC

### URI

    public static final ComponentAttribute.Kind URI

Method Detail

### values

    public static ComponentAttribute.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComponentAttribute.Kind c : ComponentAttribute.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComponentAttribute.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.